DCMTK - Bug #396

RLE does not allow fragmented frames
2012-02-28 00:00 - Jorg Riesmeier

Status: Closed Start date:

Priority: High Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmdata Compiler:

Operating System:

Description
In DICOM PS 3.5-2011 Section A.4.2: "Each frame shall be encoded in one and only one Fragment."

However, the current implementation ignores this. A warning during compression and decompression would be appropriate. In fact,
the creation of such erroneous files should be prevented in the first place.

History

#1 - 2013-02-13 17:23 - J6rg Riesmeier

- Target version set to 3.6.2

#2 - 2013-04-28 23:57 - Andrew Chiw

- Subject changed from RLE erlaubt keine Fragmentierung eines Frames to RLE does not allow fragmented frames
#3 - 2013-11-28 18:54 - Jorg Riesmeier
The command line tool "dcmcrle" has a small note saying that the --fragment-size option is "(non-standard)". However, the underlying class

DcmRLEEnNcoderRegistration is silent on this violation of the DICOM standard.

#4 - 2014-08-04 12:00 - OFFIS DICOM Team

- Assignee set to Jérg Riesmeier

Generate Warning if somebody creates a dataset with fragmented RLE frames.

#5 - 2014-10-14 18:21 - J6rg Riesmeier
- Status changed from New to Closed

- % Done changed from 0 to 100

See commit aae384f.

2025-09-06 1/1



http://www.tcpdf.org

